## fsspec 2025.3.2

=== docs/Makefile ===
# Minimal makefile for Sphinx documentation
#

# You can set these variables from the command line.
SPHINXOPTS    =
SPHINXBUILD   = sphinx-build
SPHINXPROJ    = fsspec
SOURCEDIR     = source
BUILDDIR      = build

# Put it first so that "make" without argument is like "make help".
help:
	@$(SPHINXBUILD) -M help "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

.PHONY: help Makefile

# Catch-all target: route all unknown targets to Sphinx using the new
# "make mode" option.  $(O) is meant as a shortcut for $(SPHINXOPTS).
%: Makefile
	@$(SPHINXBUILD) -M $@ "$(SOURCEDIR)" "$(BUILDDIR)" $(SPHINXOPTS) $(O)

## fsspec 0.6.1

=== debian/changelog ===
fsspec (0.6.1-0.1) unstable; urgency=medium

  * Non-maintainer upload.
  * New upstream version.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Dec 2019 13:48:56 +0100

fsspec (0.6.0-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Source-only upload, no changes.

 -- Matthias Klose <doko@debian.org>  Wed, 04 Dec 2019 12:54:50 +0100

fsspec (0.6.0-1) unstable; urgency=medium

  * Team upload.
  * Initial release. (Closes: #944198)

 -- Emmanuel Arias <emmanuelarias30@gmail.com>  Mon, 18 Nov 2019 20:04:45 -0300

=== debian/control ===
Source: fsspec
Section: python
Priority: optional
Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
Uploaders: Emmanuel Arias <eamanu@yaerobi.com>
Build-Depends: debhelper-compat (= 12),
               dh-python,
               python3-setuptools,
               python3-all,
               python3-numpydoc,
               python3-certifi,
               python3-sphinx,
Standards-Version: 4.4.1
Homepage: https://github.com/intake/filesystem_spec
Vcs-Browser: https://salsa.debian.org/python-team/modules/python-fsspec
Vcs-Git: https://salsa.debian.org/python-team/modules/python-fsspec.git
Testsuite: autopkgtest-pkg-python

Package: python3-fsspec
Architecture: all
Depends: ${python3:Depends}, ${misc:Depends}
Suggests: python-fsspec-doc
Description: specification that Python filesystems should adhere to (Python 3)
 The package produce a template or specification for a file-system interface,
 that specific implementations should follow, so that applications making use
 of them can rely on a common behaviour and not have to worry about the
 specific internal implementation decisions with any given backend.

Package: python-fsspec-doc
Architecture: all
Section: doc
Depends: ${sphinxdoc:Depends}, ${misc:Depends}
Description: specification that Python filesystems should adhere to (documentation)
 The package produce a template or specification for a file-system interface,
 that specific implementations should follow, so that applications making use
 of them can rely on a common behaviour and not have to worry about the
 specific internal implementation decisions with any given backend.

=== debian/rules ===
#!/usr/bin/make -f
# See debhelper(7) (uncomment to enable)
# output every command that modifies files on the build system.
#export DH_VERBOSE = 1

export PYBUILD_NAME=fsspec
export http_proxy = http://127.0.9.1:9

%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	${MAKE} -C docs html

override_dh_auto_clean:
	dh_auto_clean
	${MAKE} -C docs clean

## fsspec 0.8.4

=== debian/changelog ===
fsspec (0.8.4-1) unstable; urgency=medium

  [Emmanuel Arias]
  * New upstream release.
  * d/control: Bump debhelper-compat to 13.
  * d/salsa-ci.yml: enable salsa-ci.
  * d/rules: fix PYBUILD_NAME.

  [Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.5.0, no changes needed.
  * Apply multi-arch hints.
    + python-fsspec-doc: Add Multi-Arch: foreign.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Fri, 16 Oct 2020 13:41:33 -0300

=== debian/control ===
--- 
+++ 
@@ -1,19 +1,19 @@
 Source: fsspec
 Section: python
 Priority: optional
-Maintainer: Debian Python Modules Team <python-modules-team@lists.alioth.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Emmanuel Arias <eamanu@yaerobi.com>
-Build-Depends: debhelper-compat (= 12),
+Build-Depends: debhelper-compat (= 13),
                dh-python,
                python3-setuptools,
                python3-all,
                python3-numpydoc,
                python3-certifi,
                python3-sphinx,
-Standards-Version: 4.4.1
+Standards-Version: 4.5.0
 Homepage: https://github.com/intake/filesystem_spec
-Vcs-Browser: https://salsa.debian.org/python-team/modules/python-fsspec
-Vcs-Git: https://salsa.debian.org/python-team/modules/python-fsspec.git
+Vcs-Browser: https://salsa.debian.org/python-team/packages/python-fsspec
+Vcs-Git: https://salsa.debian.org/python-team/packages/python-fsspec.git
 Testsuite: autopkgtest-pkg-python
 
 Package: python3-fsspec
@@ -30,6 +30,7 @@
 Architecture: all
 Section: doc
 Depends: ${sphinxdoc:Depends}, ${misc:Depends}
+Multi-Arch: foreign
 Description: specification that Python filesystems should adhere to (documentation)
  The package produce a template or specification for a file-system interface,
  that specific implementations should follow, so that applications making use

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/filesystem_spec-$1\.tar\.gz/ \
  https://github.com/intake/filesystem_spec/tags .*/v?(\d\S+)\.tar\.gz

## fsspec 2022.01.0

=== debian/changelog ===
fsspec (2022.01.0-1) unstable; urgency=medium

  * d/gbp.conf: Set debian/master as default branch.
  * d/tests: Add autopkgtest.
  * Run wrap-and-sort.
  * New upstream version (Closes: #983883).
  * d/control: Bump Standards-Version to 4.6.0.1. No changes needed.
  * d/control: Add Build-Depends on python3-pytest, python3-numpy and
    python3-aiohttp. They are used in tests.
  * d/rules: Run tests in build time.
    - Ignore tests that need http connections.
    - Copy tests from source to the build directory. The tests folders are
      ignored by dh_auto_build.
  * d/control: Add Rules-Requires-Root: no.
  * d/control: Clarify the long description of python-fsspec-doc that this
    package contains the documentation.
  * d/control: Update Vcs-* links to be according to the new repository name.
  * d/copyright: Add upstream contact information.
  * d/control: Build with pybuild's pyproject plugin. Add
    pybuild-plugin-pyproject as Build Depends.
  * Update the upstream homepage. Update it in d/control, d/copyright and
    d/watch.
  * d/tests: use the upstream testsuite as autopkgtest.
  * d/control: Update source package Build-Depends and binary package
    Recommends.
    - Remove python3-certifi from Build-Depends. It is not used.
    - Add python3-pytest-vcr as Build-Depends, it is needed for tests.
    - Add python3-dask, python3-distributed, python3-requests, python3-dropbox,
      python3-pygit2, python3-paramiko, python3-fusepy, python3-libarchive-c,
      git as Recommends. This is to extend the features of the package.
  * d/copyright: Update debian/* files copyright year.
  * d/source/lintian-overrides: Override missing-build-dependency-for-dh-addon
    to avoid a wrong lintian error until #1003668 be closed.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sun, 06 Feb 2022 11:07:17 +0000

=== debian/control ===
Source: fsspec
Section: python
Priority: optional
Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders: Emmanuel Arias <eamanu@yaerobi.com>,
Build-Depends: debhelper-compat (= 13),
               pybuild-plugin-pyproject,
               python3-aiohttp <!nocheck>,
               python3-all,
               python3-numpy <!nocheck>,
               python3-numpydoc,
               python3-pytest <!nocheck>,
               python3-pytest-vcr <!nocheck>,
               python3-setuptools,
               python3-sphinx,
Standards-Version: 4.6.0.1
Homepage: https://github.com/fsspec/filesystem_spec
Vcs-Browser: https://salsa.debian.org/python-team/packages/fsspec
Vcs-Git: https://salsa.debian.org/python-team/packages/fsspec.git
Rules-Requires-Root: no

Package: python3-fsspec
Architecture: all
Depends: ${misc:Depends},
         ${python3:Depends},
Recommends: git,
            python3-dask,
            python3-distributed,
            python3-dropbox,
            python3-fusepy,
            python3-libarchive-c,
            python3-paramiko,
            python3-pygit2,
            python3-requests,
Suggests: python-fsspec-doc,
Description: specification that Python filesystems should adhere to (Python 3)
 The package produce a template or specification for a file-system interface,
 that specific implementations should follow, so that applications making use
 of them can rely on a common behaviour and not have to worry about the
 specific internal implementation decisions with any given backend.

Package: python-fsspec-doc
Architecture: all
Section: doc
Depends: ${misc:Depends},
         ${sphinxdoc:Depends},
Multi-Arch: foreign
Description: specification that Python filesystems should adhere to (documentation)
 The package produce a template or specification for a file-system interface,
 that specific implementations should follow, so that applications making use
 of them can rely on a common behaviour and not have to worry about the
 specific internal implementation decisions with any given backend.
 .
 This package contains the documentation.

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=fsspec
export http_proxy = http://127.0.9.1:9
export PYBUILD_BEFORE_TEST=cp -R {dir}/fsspec/tests {build_dir}/fsspec/ ;\
			cp -R {dir}/fsspec/implementations/tests {build_dir}/fsspec/implementations/
export PYBUILD_AFTER_TEST=rm -rf {build_dir}/fsspec/tests {build_dir}/fsspec/implementations/tests

# ignore tests that need http conections.
export PYBUILD_TEST_ARGS=-k 'not test_dbfs_file_listing \
			and not test_dbfs_mkdir \
			and not test_dbfs_write_and_read' \
			fsspec/

%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild


override_dh_auto_build:
	dh_auto_build
	${MAKE} -C docs html


override_dh_auto_clean:
	dh_auto_clean
	${MAKE} -C docs clean

=== debian/tests/control ===
Tests: fsspec-tests
Depends: python3-aiohttp,
         python3-all,
         python3-numpy,
         python3-pytest,
         python3-pytest-vcr,
         python3-requests,
         @,
Restrictions: allow-stderr, isolation-container, needs-root

## fsspec 2022.5.0

=== debian/changelog ===
fsspec (2022.5.0-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Add python3-tqdm as Build Dependency.
  * d/patches: Update 0001-explicit-use-of-127.0.0.1.patch according to the
    new changes made by upstream.
  * d/tests/control: Add python3-tqdm as autopkgtest dependency.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 28 May 2022 05:52:43 +0000

fsspec (2022.3.0-2) unstable; urgency=medium

  * d/patches: Add patch to replace the use of test server in localhost
    to 127.0.0.1, to avoid issues with host configured only with ipv6.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Tue, 19 Apr 2022 08:39:29 +0000

fsspec (2022.3.0-1) unstable; urgency=medium

  * New upstream version 2022.3.0
  * d/control: Add python3-tqdm to Recommends of the binary package.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Mon, 11 Apr 2022 05:45:39 +0000

fsspec (2022.02.0-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Add python3-pytest-mock and python3-pytest-asyncio
    packageas used in tests as build depends.
  * d/patches: Remove patches that comment the use of the theme
    sphinx_rtd_theme.
    - d/control: Add python3-sphinx-rtd-theme package as Build Depends.
  * d/tests/control: Add python3-pytest-mock and python3-pytest-asyncio as
    Depends in autopkgtest.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 12 Mar 2022 06:43:46 +0000

=== debian/control ===
--- 
+++ 
@@ -10,9 +10,13 @@
                python3-numpy <!nocheck>,
                python3-numpydoc,
                python3-pytest <!nocheck>,
+               python3-pytest-asyncio <!nocheck>,
+               python3-pytest-mock <!nocheck>,
                python3-pytest-vcr <!nocheck>,
                python3-setuptools,
                python3-sphinx,
+               python3-sphinx-rtd-theme,
+               python3-tqdm,
 Standards-Version: 4.6.0.1
 Homepage: https://github.com/fsspec/filesystem_spec
 Vcs-Browser: https://salsa.debian.org/python-team/packages/fsspec
@@ -32,6 +36,7 @@
             python3-paramiko,
             python3-pygit2,
             python3-requests,
+            python3-tqdm,
 Suggests: python-fsspec-doc,
 Description: specification that Python filesystems should adhere to (Python 3)
  The package produce a template or specification for a file-system interface,

## fsspec 2022.10.0

=== debian/changelog ===
fsspec (2022.10.0-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * New upstream version.
  * d/control: Bump Standards-Version to 4.6.1.1 (from 4.6.1; no further
    changes).
  * d/source/lintian-overrides: Override lintian error that is a false
    positive.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 29 Oct 2022 07:37:49 +0000

fsspec (2022.8.2-1) unstable; urgency=medium

  [ Emmanuel Arias ]
  * New upstream version.
  * d/source/lintian-overrides: Remove unused override.
    missing-build-dependency-for-dh-addon is not longer reported.
  * d/patches/0001-explicit-use-of-127.0.0.1.patch: Forward issue to upstream.

  [ Jeroen Ploemen ]
  * Bump Standards-Version to 4.6.1 (from 4.6.0.1; no further changes).

 -- Emmanuel Arias <eamanu@yaerobi.com>  Wed, 07 Sep 2022 05:57:49 +0000

## fsspec 2022.11.0

=== debian/changelog ===
fsspec (2022.11.0-1) unstable; urgency=medium

  * d/rules: Add LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 variables during the
    documentation package build. This make the package reproducible.
  * New upstream release.
  * d/patches: Remove 0001-explicit-use-of-127.0.0.1.patch. It was already
    applied for upstream.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 12 Nov 2022 14:01:09 -0300

=== debian/control ===
--- 
+++ 
@@ -17,7 +17,7 @@
                python3-sphinx,
                python3-sphinx-rtd-theme,
                python3-tqdm,
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.1.1
 Homepage: https://github.com/fsspec/filesystem_spec
 Vcs-Browser: https://salsa.debian.org/python-team/packages/fsspec
 Vcs-Git: https://salsa.debian.org/python-team/packages/fsspec.git

=== debian/rules ===
--- 
+++ 
@@ -18,7 +18,7 @@
 
 override_dh_auto_build:
 	dh_auto_build
-	${MAKE} -C docs html
+	LC_ALL=C.UTF-8 LANGUAGE=C.UTF-8 ${MAKE} -C docs html
 
 
 override_dh_auto_clean:

## fsspec 2023.6.0

=== debian/changelog ===
fsspec (2023.6.0-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Add python3-sphinx-design as build dependency. It is needed for
    build documentation package.
  * d/patches/turn-off-assert-in-debian.patch: Update patch according to new
    upstream release code change.
  * d/rules: Ignore test_dbfs_read_range and test_dbfs_read_range_chunked
    tests because they need http connections.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Mon, 19 Jun 2023 01:40:44 -0300

fsspec (2023.3.0-1~exp1) experimental; urgency=medium

  * New upstream version.
  * d/patches/0001-explicit-use-of-127.0.0.1.patch: Remove patch. It was
    already applied by upstream.
  * d/control: Move python3-tqdm from Recommends binary package to
    Build-Depends source package.
  * d/control: Bump Standards-Version to 4.6.2 (from 4.6.0.1; no further
    changes).
  * d/patches/turn-off-assert-in-debian.patch: Add patch to turn off an
    assert in test_make_path_posix test.
  * d/source/lintian-overrides: Remove unnecessary lintian override.
    - Add source-is-missing in lintian-overrides. It's a false positive.
  * d/tests/control: Add python3-tqdm as Depends.

 -- Emmanuel Arias <eamanu@yaerobi.com>  Sat, 01 Apr 2023 15:51:44 -0300

=== debian/control ===
--- 
+++ 
@@ -15,9 +15,10 @@
                python3-pytest-vcr <!nocheck>,
                python3-setuptools,
                python3-sphinx,
+               python3-sphinx-design,
                python3-sphinx-rtd-theme,
                python3-tqdm,
-Standards-Version: 4.6.1.1
+Standards-Version: 4.6.2
 Homepage: https://github.com/fsspec/filesystem_spec
 Vcs-Browser: https://salsa.debian.org/python-team/packages/fsspec
 Vcs-Git: https://salsa.debian.org/python-team/packages/fsspec.git
@@ -36,7 +37,6 @@
             python3-paramiko,
             python3-pygit2,
             python3-requests,
-            python3-tqdm,
 Suggests: python-fsspec-doc,
 Description: specification that Python filesystems should adhere to (Python 3)
  The package produce a template or specification for a file-system interface,

## fsspec 2024.2.0

=== debian/changelog ===
fsspec (2024.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 12 Feb 2024 17:34:19 -0300

fsspec (2023.10.0-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: Add License entry for versioneer.py file.

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 28 Oct 2023 08:05:44 -0300

fsspec (2023.9.2-1) unstable; urgency=medium

  * New upstream release.
  * d/control: Update my contact information. Also update in d/copyright
    file.
  * d/patches/0002-Remove-privacy-breach-in-documentation.patch: Add patch to
    remove potential security breach.

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 14 Oct 2023 17:11:23 -0300

=== debian/control ===
--- 
+++ 
@@ -2,7 +2,7 @@
 Section: python
 Priority: optional
 Maintainer: Debian Python Team <team+python@tracker.debian.org>
-Uploaders: Emmanuel Arias <eamanu@yaerobi.com>,
+Uploaders: Emmanuel Arias <eamanu@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
                python3-aiohttp <!nocheck>,

=== debian/rules ===
--- 
+++ 
@@ -9,7 +9,9 @@
 # ignore tests that need http conections.
 export PYBUILD_TEST_ARGS=-k 'not test_dbfs_file_listing \
 			and not test_dbfs_mkdir \
-			and not test_dbfs_write_and_read' \
+			and not test_dbfs_write_and_read \
+			and not test_dbfs_read_range \
+			and not test_dbfs_read_range_chunked' \
 			fsspec/
 
 %:

## fsspec 2024.6.0

=== debian/changelog ===
fsspec (2024.6.0-1) unstable; urgency=medium

  * New upstream version.
  * d/p/0002-Remove-privacy-breach-in-documentation.patch: Add Forwarded
    not needed.
  * d/tests/fsspec-tests: modify test_from_dict_valid test to look for
    tests.test_spec instead of fsspec.tests.test_spec to create a
    DummyTestFS object. This is because during autopkgtest the test folder
    is moved out from fsspec folder.

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 22 Jun 2024 11:02:53 -0300

fsspec (2024.5.0-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Add python3-hatchling and python3-hatch-vcs as build depends.
    Upstream changed the build system.
    - Remove python3-setuptools from build dependencies.
  * d/copyright: Remove copyright entry for versioneer.py file this is not
    longer in the upstream source.
  * d/rules: Install tests files they are need for autopkgtests.
    - d/tests/fsspec-tests: Remove creation of symbolic links. Copy conftest.py
    to AUTOPKGTEST_TMP folder.

 -- Emmanuel Arias <eamanu@debian.org>  Mon, 27 May 2024 15:37:44 -0300

fsspec (2024.3.1-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.0 (routine-update)
  * d/patches/turn-off-assert-in-debian.patch: Remove patch that is not longer
    needed. Also, update 0002-Remove-privacy-breach-in-documentation.patch
    patch according to the new upstream release code.
  * d/tests/fsspec-tests: force symbolic link creation in autopkgtest.

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 21 Apr 2024 20:47:01 -0300

=== debian/control ===
--- 
+++ 
@@ -7,18 +7,19 @@
                pybuild-plugin-pyproject,
                python3-aiohttp <!nocheck>,
                python3-all,
+               python3-hatch-vcs,
+               python3-hatchling,
                python3-numpy <!nocheck>,
                python3-numpydoc,
                python3-pytest <!nocheck>,
                python3-pytest-asyncio <!nocheck>,
                python3-pytest-mock <!nocheck>,
                python3-pytest-vcr <!nocheck>,
-               python3-setuptools,
                python3-sphinx,
                python3-sphinx-design,
                python3-sphinx-rtd-theme,
                python3-tqdm,
-Standards-Version: 4.6.2
+Standards-Version: 4.7.0
 Homepage: https://github.com/fsspec/filesystem_spec
 Vcs-Browser: https://salsa.debian.org/python-team/packages/fsspec
 Vcs-Git: https://salsa.debian.org/python-team/packages/fsspec.git

=== debian/rules ===
--- 
+++ 
@@ -4,7 +4,6 @@
 export http_proxy = http://127.0.9.1:9
 export PYBUILD_BEFORE_TEST=cp -R {dir}/fsspec/tests {build_dir}/fsspec/ ;\
 			cp -R {dir}/fsspec/implementations/tests {build_dir}/fsspec/implementations/
-export PYBUILD_AFTER_TEST=rm -rf {build_dir}/fsspec/tests {build_dir}/fsspec/implementations/tests
 
 # ignore tests that need http conections.
 export PYBUILD_TEST_ARGS=-k 'not test_dbfs_file_listing \

## fsspec 2024.6.1

=== debian/changelog ===
fsspec (2024.6.1-1) unstable; urgency=medium

  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Tue, 30 Jul 2024 02:12:20 -0300

## fsspec 2024.9.0

=== debian/changelog ===
fsspec (2024.9.0-1) unstable; urgency=medium

  * New upstream version.
  * d/rules: Ignore failing tests
    test_find_returns_expected_result_detail_true and
    test_find_returns_expected_result_detail_true_include_dirs. They need
    more investigation.
  * d/copyright: Update Copyright year for debian/* files.

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 21 Sep 2024 07:54:44 -0300

## fsspec 2024.10.0

=== debian/changelog ===
fsspec (2024.10.0-1) unstable; urgency=medium

  * New upstream version (Closes: #1088301).
  * d/patches/0002-Remove-privacy-breach-in-documentation.patch: Update
    patches according to upstream code.
  * d/patches/use-localhost-in-tests.patch: Add patch to use explicit
    localhost in tests and avoid fail in tests.
  * d/control: Remove python3-fusepy from Recommends (Closes: #1085592).

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 01 Dec 2024 21:13:11 -0300

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,9 @@
 			and not test_dbfs_mkdir \
 			and not test_dbfs_write_and_read \
 			and not test_dbfs_read_range \
-			and not test_dbfs_read_range_chunked' \
+			and not test_dbfs_read_range_chunked \
+			and not test_find_returns_expected_result_detail_true_include_dirs \
+			and not test_find_returns_expected_result_detail_true' \
 			fsspec/
 
 %:

## fsspec 2024.12.0

=== debian/changelog ===
fsspec (2024.12.0-2) unstable; urgency=medium

  * d/contol: Ignore test test_async_cat_file_ranges test that use internet
    connection to perform test (Closes: #1092543).
    - Ignore it in d/tests/fsspec-tests as well.

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 25 Jan 2025 00:07:07 -0300

fsspec (2024.12.0-1) unstable; urgency=medium

  * New upstream version.
  * d/patches/0002-Remove-privacy-breach-in-documentation.patch: Update patch
    according to new upstream release.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 25 Dec 2024 19:16:35 -0300

## fsspec 2025.2.0

=== debian/changelog ===
fsspec (2025.2.0-1) unstable; urgency=medium

  * New upstream version.

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 15 Feb 2025 19:39:48 -0300

=== debian/rules ===
--- 
+++ 
@@ -12,7 +12,8 @@
 			and not test_dbfs_read_range \
 			and not test_dbfs_read_range_chunked \
 			and not test_find_returns_expected_result_detail_true_include_dirs \
-			and not test_find_returns_expected_result_detail_true' \
+			and not test_find_returns_expected_result_detail_true \
+			and not test_async_cat_file_ranges' \
 			fsspec/
 
 %:

## fsspec 2025.3.0

=== debian/changelog ===
fsspec (2025.3.0-1) unstable; urgency=medium

  * New upstream version.
  * d/rules: Ignore test_http_sync.py test, it use conections http.

 -- Emmanuel Arias <eamanu@debian.org>  Sat, 15 Mar 2025 17:40:53 -0300

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 			cp -R {dir}/fsspec/implementations/tests {build_dir}/fsspec/implementations/
 
 # ignore tests that need http conections.
-export PYBUILD_TEST_ARGS=-k 'not test_dbfs_file_listing \
+export PYBUILD_TEST_ARGS=--ignore=fsspec/implementations/tests/test_http_sync.py -k 'not test_dbfs_file_listing \
 			and not test_dbfs_mkdir \
 			and not test_dbfs_write_and_read \
 			and not test_dbfs_read_range \

## fsspec 2025.3.2

=== debian/changelog ===
fsspec (2025.3.2-1ubuntu1) questing; urgency=medium

  * Also ignore test_github.py during the autopkgtest

 -- Graham Inggs <ginggs@ubuntu.com>  Mon, 25 Aug 2025 16:42:21 +0000

fsspec (2025.3.2-1) unstable; urgency=medium

  * New upstream version.
  * d/control: Ignore fsspec/implementations/tests/test_github.py test. It
    uses internet conection.

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 02 Apr 2025 13:49:39 -0300

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: fsspec
 Section: python
 Priority: optional
-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Emmanuel Arias <eamanu@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
@@ -33,7 +34,6 @@
             python3-dask,
             python3-distributed,
             python3-dropbox,
-            python3-fusepy,
             python3-libarchive-c,
             python3-paramiko,
             python3-pygit2,

=== debian/rules ===
--- 
+++ 
@@ -6,7 +6,7 @@
 			cp -R {dir}/fsspec/implementations/tests {build_dir}/fsspec/implementations/
 
 # ignore tests that need http conections.
-export PYBUILD_TEST_ARGS=--ignore=fsspec/implementations/tests/test_http_sync.py -k 'not test_dbfs_file_listing \
+export PYBUILD_TEST_ARGS=--ignore=fsspec/implementations/tests/test_http_sync.py  --ignore=fsspec/implementations/tests/test_github.py -k 'not test_dbfs_file_listing \
 			and not test_dbfs_mkdir \
 			and not test_dbfs_write_and_read \
 			and not test_dbfs_read_range \

## fsspec 2025.7.0

=== debian/changelog ===
fsspec (2025.7.0-4) unstable; urgency=medium

  * Team upload.
  * Remove spurious line break that broke autopkgtests.

 -- Colin Watson <cjwatson@debian.org>  Wed, 10 Sep 2025 09:56:49 +0100

fsspec (2025.7.0-3) unstable; urgency=medium

  * d/tests/fsspec_tests: Ignore test_github.py in autopkgtests (Closes:
    #1112069).

 -- Emmanuel Arias <eamanu@debian.org>  Wed, 27 Aug 2025 17:43:23 -0300

fsspec (2025.7.0-2) unstable; urgency=medium

  * d/control: Set binary package as Multi-Arch: foreign.

 -- Emmanuel Arias <eamanu@debian.org>  Sun, 24 Aug 2025 20:49:56 -0300

fsspec (2025.7.0-1) unstable; urgency=medium

  * New upstream version
  * Standards-Version: 4.7.2 (routine-update)
  Set upstream metadata fields: Documentation.

 -- Emmanuel Arias <eamanu@debian.org>  Thu, 07 Aug 2025 20:19:43 -0300

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: fsspec
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders: Emmanuel Arias <eamanu@debian.org>,
 Build-Depends: debhelper-compat (= 13),
                pybuild-plugin-pyproject,
@@ -20,7 +19,7 @@
                python3-sphinx-design,
                python3-sphinx-rtd-theme,
                python3-tqdm,
-Standards-Version: 4.7.0
+Standards-Version: 4.7.2
 Homepage: https://github.com/fsspec/filesystem_spec
 Vcs-Browser: https://salsa.debian.org/python-team/packages/fsspec
 Vcs-Git: https://salsa.debian.org/python-team/packages/fsspec.git
@@ -30,6 +29,7 @@
 Architecture: all
 Depends: ${misc:Depends},
          ${python3:Depends},
+Multi-Arch: foreign
 Recommends: git,
             python3-dask,
             python3-distributed,

=== debian/tests/control ===
--- 
+++ 
@@ -3,7 +3,10 @@
          python3-all,
          python3-numpy,
          python3-pytest,
+         python3-pytest-asyncio,
+         python3-pytest-mock,
          python3-pytest-vcr,
          python3-requests,
+         python3-tqdm,
          @,
 Restrictions: allow-stderr, isolation-container, needs-root

=== debian/watch ===
version=4
opts=filenamemangle=s/.+\/v?(\d\S+)\.tar\.gz/filesystem_spec-$1\.tar\.gz/ \
  https://github.com/fsspec/filesystem_spec/tags .*/v?(\d\S+)\.tar\.gz

## fsspec 2025.12.0

=== debian/changelog ===
fsspec (2025.12.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release:
    - More restrictions on gist tests (closes: #1123386).
  * Drop "Rules-Requires-Root: no", default as of dpkg-dev 1.22.13.

 -- Colin Watson <cjwatson@debian.org>  Thu, 08 Jan 2026 01:12:55 +0000

=== debian/control ===
--- 
+++ 
@@ -23,7 +23,6 @@
 Homepage: https://github.com/fsspec/filesystem_spec
 Vcs-Browser: https://salsa.debian.org/python-team/packages/fsspec
 Vcs-Git: https://salsa.debian.org/python-team/packages/fsspec.git
-Rules-Requires-Root: no
 
 Package: python3-fsspec
 Architecture: all
